PRO ar2imain,band,date,ardi

;Measurement of sizes and brightnesses of pores (IR obs. 1997)
;INPUT:    BAND = 1 (IR) or 2 (WL)
;	   DATE = 23 or 25
;OUTPUT:   ARDI - a 2D array ([Area, Deff, Imin, Imean],[objects]),
;		where 'objects' are all observations of pores in
;		selected frames
;SUBROUTINES: AR2I.PRO, LABEL_REGION.PRO, HISTOGRAM.PRO
;AR2I.pro contains parameters: scale ("/pix), minimum size, QR subfield...

ardi=fltarr(4,150)		;output array

if band eq 1 then fil1='../irdata/i' else fil1='../wldata/w'

if date eq 23 then begin
	lista=[25,39,65,88]
	listb=[34,95]
	fil2='fi23'
	arr=intarr(408,320,118)
	imgs=intarr(388,300,6)
	x1=10
	x2=397
	y1=10
	y2=309
endif else begin
	lista=[29,63,112]
	listb=[40,123]
	fil2='fi25'
	arr=intarr(388,300,150)
	imgs=intarr(368,280,5)
	x1=10
	x2=377
	y1=10
	y2=289
endelse

;Reading 1st part

openr,1,fil1+fil2+'a.bin'
print,'  reading  ',fil1+fil2+'a.bin'
readu,1,arr
close,1
imgs(0,0,0)=arr(x1:x2,y1:y2,lista)

;Reading 2nd part

openr,1,fil1+fil2+'b.bin'
print,'  reading  ',fil1+fil2+'b.bin'
readu,1,arr
close,1
imgs(0,0,n_elements(lista))=arr(x1:x2,y1:y2,listb)

;Measurement of size and brightness

apos=0
for i=0,n_elements(lista)+n_elements(listb)-1 do begin
	ar2i,imgs(*,*,i),date,ob
	si=size(ob)
	ardi(0,apos)=ob
	apos=apos+si(2)
endfor

w=where(ardi(0,*),c)
print,'Total number of measurements:',c
if c ne 0 then ardi=ardi(*,w)

END
