PRO rea_irlg,log,list,time
;
;Reads the logfiles of the IAC IR camera (observations of June 1997)
;In the first line of the logfile the number of frames is expected.
;
;INPUT:   log = 'logfile_name'
;OUTPUT:  list = string array with frame name in each element
;	  time = float array with time UT (in seconds) for each frame
;
;CALLING: rea_irlg,'970623.log',list23,time23
;
;30 June 1999, Michal

openr,1,log
readf,1,n
list=strarr(n+1)
time=fltarr(n+1)
str=''
empty=''

for i=0,n do begin
  readf,1,str
  readf,1,empty
  parts=str_sep(str,'    ',/trim)
  list(i)=parts(3)
  ti=str_sep(parts(4),':')
  hour=fix(ti(0))
  minu=fix(ti(1))
  seco=fix(ti(2))
  time(i)=3600.*hour + 60.*minu + seco
	print,list(i),time(i)
endfor

close,1
END
