pro difcine,init,numim,x,y,rebin,bb

;produce una movie de la diferencia de 2 series de imagenes
;tras corregir de desplazamiento y rotacion diferencial entre
;pares de imagenes (ROTALIGN de Oslo lib).
;tras la ejecucion de esta procedure se activa la movie con el comando:
;         IDL> movie,bb,order=0
;init=numero de la imagen inicial
;numin=numero de imagenes de que consta la movie
;x,y = lower left corner coordinates of the selected box.
;rebin = factor de rebineado.

;bb = matriz tridimensional de salida.

;----------------------------------------------------------

;parametros de entrada a modificar con editor

n=288  ;1280       	;dimension en x (input)
m=208  ;1032       	;dimension en y
rsize=[288,208]    	;size of output images

read,'minimum rms contrast to be selected: ',rms1

st1a=string('/scratch/msobotka/a_ser23/dfp4.')
st1b=string('/scratch/msobotka/b_ser23/dfp4.')

rotdeg=(-2.)	;guess for the angle, in degrees, to rotate B
                ;clockwise to match A.
x0=0            ;first guess for the position of center of rotation,
y0=0            ;  a value of 0 means centre of image.
		

;---------------------------------------------------------

;construye la matriz tridimensional bytarr para el movie

siz=rsize*rebin

bb = intarr(rsize(0),rsize(1),numim,/nozero)      
im1=intarr(n,m,/nozero)
im2=intarr(n,m,/nozero)

n=0
FOR i = 0,numim-1 DO BEGIN
   dcn=strtrim(i+init,2)
   print,'Now reading image:   ',st1a+dcn
   openr,1,st1a+dcn
   readu,1,im1
   close,1
   print,'Now reading image:   ',st1b+dcn
   openr,1,st1b+dcn
   readu,1,im2
   close,1

   ima=im1(x:x+siz(0)-1,y:y+siz(1)-1)
   imb=im2(x:x+siz(0)-1,y:y+siz(1)-1)
   dev1=stdev(ima,mea1)
   dev2=stdev(imb,mea2)
   if dev2/mea2 ge rms1 then begin		; master B
      print,'stdev: a',dev1/mea1,'   b',dev2/mea2
      ROTALIGN,ima,imb,x0,y0,rotdeg,im,/interp  
      imb=ima-im
      bb(0,0,n)=REBIN(imb,rsize(0),rsize(1))
      n=n+1
      print,'selected:',n
   endif
ENDFOR

bb=bb(*,*,0:n-1)
; bb=bytscl(bb)
print,'selected ',n,'  images from ',numim
end
